## fakeroot 1.14.4

=== debian/changelog ===
fakeroot (1.14.4-1) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Adapt prebuild to preroll for upstream separation.
  * Rename changelog to changelog.Debian.
  * communicate.h: patch from Bernhard Reutner-Fischer to enable LFS
    builds against uClibc.  closes: #556257.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Nov 2009 22:05:51 -0500

fakeroot (1.14.3) unstable; urgency=low

  * Apply patch (tweaked) from VMware: "Make sure STAT64_SUPPORT is
    defined on Mac OS, and wrap versioned symbols."
  * Apply patch (tweaked) from VMware: "Wrap *getattrlist() functions
    (Mac OS-specific, used on HFS+ filesystems)."
  * Apply patch (guarded, tweaked) from VMware: "Add debug support."
  * Conditionally build MacOS X symbol-versioned wrappers.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Oct 2009 21:55:29 -0400

fakeroot (1.14.2) unstable; urgency=low

  * Apply (tweaked) patch from VMware: "Fix places which were
    incorrectly not using the INT_* macros. This gets rid of a bunch
    of STAT64_SUPPORT checks."
  * Apply patch from VMware: "Move the _STAT_VER argument of all INT_*
    macros from the call site to the definition of the macros."
  * Incorporate fts_children wrapper fixes from VMware version.
  * Apply VMware patch: "Remove the unused 'done' variable in
    load_library_symbols(): the function can only be called once, so
    there is no need for the variable anyway."
  * Apply VMware patch: "Remove from wrapfunc.inp the function which are
    not actually wrapped in libfakeroot.c."

 -- Clint Adams <schizo@debian.org>  Tue, 27 Oct 2009 01:16:22 -0400

fakeroot (1.14.1) unstable; urgency=low

  * Apply patch from VMware: "Get rid of a bunch of STUPID_ALPHA_HACK
    checks by always passing 3 arguments to INT_SEND_STAT."
  * Apply patch from VMware: "Get rid of all remaining STUPID_ALPHA_HACK
    checks (except one at the top) by abstracting the difference of
    number of parameters into new SEND_STAT* and SEND_GET_STAT* macros."

 -- Clint Adams <schizo@debian.org>  Mon, 26 Oct 2009 23:48:26 -0400

fakeroot (1.14) unstable; urgency=low

  * Wrap fts_children.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Fri, 09 Oct 2009 00:19:14 -0400

fakeroot (1.13.2) unstable; urgency=low

  * Apply patch from Stuart Prescott to rename TEMP variable.
    closes: #550215.
  * Rename PREFIX and BINDIR variables.

 -- Clint Adams <schizo@debian.org>  Thu, 08 Oct 2009 23:12:19 -0400

fakeroot (1.13.1) unstable; urgency=low

  * Apply patch from U.V. Ravindra to use native htonll()/ntohll() on Solaris.
  * Apply patch from U.V. Ravindra to properly typecast uid_t/gid_t
    assignments.

 -- Clint Adams <schizo@debian.org>  Mon, 28 Sep 2009 21:19:21 -0400

fakeroot (1.13) unstable; urgency=low

  * libfakeroot.c: apply fix from lorenz schori to properly deal with
    STAT64_SUPPORT in fts_read.  closes: #541335.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Aug 2009 15:25:28 -0400

fakeroot (1.12.5) unstable; urgency=low

  * Disable biarch support on amd64.  closes: #538037.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Aug 2009 01:47:39 -0400
