## fakeroot 1.15.1

=== debian/changelog ===
fakeroot (1.15.1-1) unstable; urgency=low

  * Patch from Aurelien Jarno to fix lchown support.
    closes: #620245.

 -- Clint Adams <clint@debian.org>  Thu, 31 Mar 2011 10:32:41 -0400

fakeroot (1.15-1) unstable; urgency=low

  * Patch from Aurelien Jarno to add lchmod() support (for GNU/kFreeBSD).
    closes: #618782.
  * Patch from Justin B. Rye to improve short and long package descriptions.
    closes: #615852.

 -- Clint Adams <clint@debian.org>  Mon, 28 Mar 2011 11:10:45 -0400

fakeroot (1.14.5-2) unstable; urgency=low

  * Drop ancient Conflicts.

 -- Clint Adams <clint@debian.org>  Fri, 11 Feb 2011 23:51:49 -0500

fakeroot (1.14.5-1) unstable; urgency=low

  * Clear dlerror() just in case dlsym() legitimately returns
    NULL, to prevent misleading errors on Nexenta.  Thanks to
    Pavel Strashkin.

 -- Clint Adams <clint@gnu.org>  Sun, 05 Dec 2010 14:04:18 -0500

fakeroot (1.14.4-2) unstable; urgency=low

  * Patch from Michael Gilbert to re-enable biarch on amd64 and
    conflict with libc6-i386 (<= 2.9-13).  closes: #605077.

 -- Clint Adams <clint@gnu.org>  Mon, 29 Nov 2010 19:57:45 -0500
