=== debian/control ===
Source: fakeroot
Section: utils
Priority: optional
Build-Depends: sharutils, gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc s390 sparc], lib64c-dev [i386 powerpc s390 sparc], lib32c-dev [amd64 kfreebsd-amd64 ppc64], libacl1-dev
Maintainer: Clint Adams <clint@debian.org>
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/users/clint/fakeroot.git
Vcs-Browser: http://git.debian.org/?p=users/clint/fakeroot.git;a=summary

Package: fakeroot
Architecture: any
Depends: ${shlibs:Depends}
Description: tool for simulating superuser privileges
 fakeroot provides a fake "root environment" by means of LD_PRELOAD and
 SysV IPC (or TCP) trickery. It puts wrappers around getuid(), chown(),
 stat(), and other file-manipulation functions, so that unprivileged
 users can (for instance) populate .deb archives with root-owned files;
 various build tools use fakeroot for this by default.
