## fakeroot 1.16

=== debian/changelog ===
fakeroot (1.16-1) unstable; urgency=low

  * Patch from Jonathan Nieder to add access() support.
    closes: #629956.
  * Bump to Standards-Version 3.9.2. 

 -- Clint Adams <clint@debian.org>  Thu, 09 Jun 2011 20:44:28 -0400
