## fakeroot 1.17

=== debian/changelog ===
fakeroot (1.17-1) unstable; urgency=low

  * Revert access() support patch.  closes: #630129.

 -- Clint Adams <clint@debian.org>  Thu, 18 Aug 2011 06:58:51 -0400
