## fakeroot 1.18

=== debian/changelog ===
fakeroot (1.18-1) unstable; urgency=low

  * Improved MacOS X support from Kyle J. McKay.

 -- Clint Adams <clint@debian.org>  Mon, 29 Aug 2011 17:25:49 -0400
