## fakeroot 1.18.2

=== debian/changelog ===
fakeroot (1.18.2-1) unstable; urgency=low

  * German translation from Chris Leick.  closes: #646405.
  * Initial multiarch support from Yann Dirson.  closes: #636192.
  * Improved build robustness from Yann Dirson.  closes: #641503.
  * Improved fakeroot-tcp robustness from Thomas Schwinge.  closes: #641200.
  * Add build-arch and build-indep targets.

 -- Clint Adams <clint@debian.org>  Wed, 30 Nov 2011 22:37:00 -0500
