## fakeroot 1.18.4

=== debian/changelog ===
fakeroot (1.18.4-2) unstable; urgency=low

  * Disable stat64 for FTS functions in a Debian-local patch,
    since FTS is always built without LFS in eglibc. Fixes
    pax on hurd-i386 (at least).  closes: #676428.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 06 Jun 2012 20:33:31 +0000

fakeroot (1.18.4-1) unstable; urgency=low

  * More MacOS X patches from Kyle J. McKay.

 -- Clint Adams <clint@debian.org>  Sat, 02 Jun 2012 14:27:39 -0400

fakeroot (1.18.3-1) unstable; urgency=low

  * Disable SYSV tests on the Hurd.  closes: #651103.
  * Bump to Standards-Version 3.9.3.
  * Solaris patches from Mikhail Gusarov.  closes: #668277.

 -- Clint Adams <clint@debian.org>  Sat, 21 Apr 2012 22:24:23 -0400
