## fakeroot 1.20

=== debian/changelog ===
fakeroot (1.20-3ubuntu2) trusty; urgency=medium

  * fix-xattr-prototypes.patch: Fix prototypes for xattr functions.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 23 Mar 2014 22:37:19 -0600

fakeroot (1.20-3ubuntu1) trusty; urgency=low

  * powerpc64le-support.patch: Patch configure to support ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 06 Dec 2013 18:55:00 -0700

fakeroot (1.20-3) unstable; urgency=low

  * Fix Replaces/Breaks headers on libfakeroot.  closes: #730792.
  * Drop biarch build-deps.

 -- Clint Adams <clint@debian.org>  Fri, 29 Nov 2013 11:33:55 -0500

fakeroot (1.20-2) unstable; urgency=low

  * Patch from Hilko Bengen to hardcode path to setcap
    in the test suite.  closes: #708959.
  * Patches from Hilko Bengen and Piotr Roszatycki for
    multiarch support.  closes: #636192.

 -- Clint Adams <clint@debian.org>  Thu, 28 Nov 2013 14:01:01 -0500

fakeroot (1.20-1) unstable; urgency=low

  * Patch from Andrew Shadura to fix fts_statp-related segfault.
    closes: #722596.
  * Use colon as a delimiter for preload libs. closes: #697430.
  * Patch from Steve Langasek to add support for wrapping
    setpriority(). closes: #693580.

 -- Clint Adams <clint@debian.org>  Fri, 20 Sep 2013 09:55:31 -0400

fakeroot (1.19-2) unstable; urgency=low

  * Patch from Colin Watson to use appropriate strip command
    when cross-building.  closes: #693975.

 -- Clint Adams <clint@debian.org>  Thu, 16 May 2013 21:10:46 -0400

fakeroot (1.19-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.
  * Patch from David Bartley to wrap acl_get_fd and acl_get_file.
    closes: #521178.
  * Build-depend on libcap-dev and libcap2-bin on Linux.

 -- Clint Adams <clint@debian.org>  Thu, 16 May 2013 20:19:55 -0400
