## fakeroot 1.20.2

=== debian/changelog ===
fakeroot (1.20.2-1ubuntu1) vivid; urgency=low

  * Merge from Debian.
    - Drop powerpc64le-support patch; fixed upstream. NB: upstream didn't add
      support for ppc64* triplets which we aren't using anyway.
    - Drop fix-xattr-prototypes patch; glibc-xattr-types patch is now in the
      Debian package as well.
    - Remaining change: add getopt-gnu-test patch, use "getopt -T" to test for
      GNU getopt rather than parsing the --version output which is locale
      specific; LP #1290069.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 24 Nov 2014 14:44:33 +0100

fakeroot (1.20.2-1) unstable; urgency=medium

  * New upstream version.
    - More accurate location of DSOs in fakeroot(1).  closes: #763732.
    - Portuguese translation from Américo Monteiro.  closes: #757788.

 -- Clint Adams <clint@debian.org>  Sun, 05 Oct 2014 11:09:57 -0400

fakeroot (1.20.1-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Add patch glibc-xattr-types to fix the type of xattr functions. closes:
    #758406.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 18 Aug 2014 14:58:00 +0200

fakeroot (1.20.1-1) unstable; urgency=medium

  * Drop the patch hard-coding the path to setcap since we now
    skip the t.xattr test when the getcap command can't be found.
    closes: #737573.

 -- Clint Adams <clint@debian.org>  Sat, 12 Jul 2014 14:35:51 -0400

fakeroot (1.20-3ubuntu3) utopic; urgency=medium

  * New patch, getopt-gnu-test, use "getopt -T" to test for GNU getopt rather
    than parsing the --version output which is locale specific; LP: #1290069.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 20 May 2014 15:10:08 +0200
