## fakeroot 1.21

=== debian/changelog ===
fakeroot (1.21-1ubuntu2) yakkety; urgency=medium

  * Add hide-dlsym-error.patch to hide the errors from dlsym() unless
    debugging was enabled. This makes builds less noisy and fixes failures
    in APT test suite with glibc 2.24, which started reporting errors for
    dlsym()

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Aug 2016 13:40:08 +0000

fakeroot (1.21-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop fix-xattr-prototypes patch; glibc-xattr-types patch is now in the
      Debian package as well.
    - Add getopt-gnu-test patch, use "getopt -T" to test for GNU getopt rather
      than parsing the --version output which is locale specific; LP #1290069.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Aug 2016 12:56:11 +0200

fakeroot (1.21-1) unstable; urgency=medium

  * New upstream version.
    - Portuguese man page translation update from Américo Monteiro.
      closes: #764535.
    - Patch to increase MAX_IPC_BUFFER_SIZE (to cope with evmctl sign
      failure) from Marc Kleine-Budde.  closes: #801977.
  * Build-depend on dh-autoreconf and po4a.

 -- Clint Adams <clint@debian.org>  Sun, 26 Jun 2016 23:31:45 +0200

fakeroot (1.20.2-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh.  closes: #826318.

  [ Clint Adams ]
  * This should make the build reproducible.  closes: #795861.

 -- Clint Adams <clint@debian.org>  Sat, 04 Jun 2016 18:00:48 -0700
