=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: fakeroot
 Section: utils
 Priority: optional
-Build-Depends: sharutils, libacl1-dev, libcap-dev [linux-any], libcap2-bin [linux-any]
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libacl1-dev,
+               libcap-dev [linux-any],
+               libcap2-bin [linux-any],
+               po4a,
+               sharutils
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://git.debian.org/git/users/clint/fakeroot.git
-Vcs-Browser: http://git.debian.org/?p=users/clint/fakeroot.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/users/clint/fakeroot.git/
 
 Package: fakeroot
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, libfakeroot (>= ${binary:Version}),
+Depends: libfakeroot (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: tool for simulating superuser privileges
  fakeroot provides a fake "root environment" by means of LD_PRELOAD and
  SysV IPC (or TCP) trickery. It puts wrappers around getuid(), chown(),
@@ -28,7 +34,7 @@
 Multi-Arch: same
 Replaces: fakeroot (<< 1.20-2~)
 Breaks: fakeroot (<< 1.20-2~)
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: tool for simulating superuser privileges - shared libraries
  fakeroot provides a fake "root environment" by means of LD_PRELOAD and
  SysV IPC (or TCP) trickery. It puts wrappers around getuid(), chown(),
