## fakeroot 1.22

=== debian/changelog ===
fakeroot (1.22-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add getopt-gnu-test patch, use "getopt -T" to test for GNU getopt rather
      than parsing the --version output which is locale specific; LP #1290069.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Jan 2018 17:05:31 +0100

fakeroot (1.22-2) unstable; urgency=medium

  * Rules-Requires-Root: no

 -- Clint Adams <clint@debian.org>  Fri, 10 Nov 2017 14:28:24 -0500

fakeroot (1.22-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 16 Aug 2017 22:28:12 -0400

fakeroot (1.21-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * libfakeroot: Ship the (unused) SONAME link to ensure it gets cleaned up
    automatically.  closes: #744165.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 02:29:36 +0100

fakeroot (1.21-3) unstable; urgency=medium

  * Patch from Juan Picca to force the fakeroot shebang to always be
    /bin/sh on Debian.  closes: #828810.

 -- Clint Adams <clint@debian.org>  Sat, 03 Dec 2016 17:09:14 -0500

fakeroot (1.21-2) unstable; urgency=medium

  * Patch from Julian Andres Klode (hide-dlsym-error.patch) to hide the
    errors from dlsym() unless debugging was enabled. This makes builds
    less noisy and fixes failures in APT test suite with glibc 2.24,
    which started reporting errors for dlsym().  closes: #830912.

 -- Clint Adams <clint@debian.org>  Thu, 01 Sep 2016 10:50:06 -0400
