=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                sharutils
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
-Standards-Version: 3.9.8
-Vcs-Git: git://git.debian.org/git/users/clint/fakeroot.git
+Standards-Version: 4.1.1
+Rules-Requires-Root: no
+Vcs-Git: https://anonscm.debian.org/git/users/clint/fakeroot.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/clint/fakeroot.git/
 
 Package: fakeroot
